
.table-responsive:has(.dropdown-menu.show),
.dataTables_scrollBody:has(.dropdown-menu.show) {
    overflow: visible !important;
}



.dropdown-menu {
  will-change: transform;
}

.submenu {
  position: absolute !important;
  top: 100% !important; /* Alineado justo debajo */
  left: 0 !important;
  z-index: 1060;
}

body {
  overflow-x: hidden;
}
.container-p-y{
  top: 0;
  left: 0;
  width: 100%;
  background-image: url(../img/logos/background.png);
  background-size: cover;
  background-position: center;
}



.bg-label-pink {
  background-color: #ffd2e7ab !important;
  color: #e83e8c !important;
}
.bg-pink {
  background-color: #e83e8c !important;
}
.progress-bar.bg-pink {
  box-shadow: 0 0.125rem 0.375rem 0 rgb(254 181 215);
}
select[readonly].select2 + .select2-container {
  pointer-events: none;
  touch-action: none;

  .select2-selection {
    background: #fff;
    box-shadow: none;
  }

  .select2-selection__arrow,
  .select2-selection__clear {
    display: none;
  }
}

table.dataTable tbody th,
table.dataTable tbody td {
  font-size: 0.8rem;
}

.elfinder-navbar {
  display: none !important;
}
.elfinder-path {
  display: none !important;
}
.elfinder-dialog-title {
  text-align: right !important;
  font-weight: 600 !important;
}
.elfinder-confirm-cancel {
  background: #ea5455 !important;
  color: #fff !important;
}
.elfinder-confirm-accept {
  background: #28c76f !important;
  color: #fff !important;
}
.elfinder-workzone {
  background: none !important;
}
.elfinder-upload-dropbox {
  display: none !important;
}

.elfinder-upload-dialog-or {
  display: none !important;
}

table.dataTable thead th {
  text-transform: initial;
}
.table th {
  text-transform: none;
}

.bg-label-purple {
  background-color: #eae8fd !important;
  color: #1074bc !important;
}
.light-style .fc-event-purple:not(.fc-list-event) {
  background-color: #eae8fd !important;
  color: #1074bc !important;
}
.light-style .fc-event-purple.fc-list-event .fc-list-event-dot {
  border-color: #1074bc !important;
}
.form-check-dark .form-check-input:checked,
.form-check-dark .form-check-input[type="checkbox"]:indeterminate {
  background-color: #1074bc;
  border-color: #1074bc;
}
.fc .fc-highlight {
  background: #49fb97;
}
.bg-label-purple {
  background-color: #dbd8ff !important;
  color: #1074bc !important;
}

.bg-purple {
  opacity: 1;
  background-color: #1074bc !important;
}

.ql-container.ql-snow {
  border: none !important;
}
.ql-toolbar {
  border-top-style: none !important;
  border-left-style: none !important;
  border-right-style: none !important;
}

.ql-snow .ql-editor {
  min-height: 3rem !important;
}
.form-control {
  background-color: #fff;
}
.form-control:focus {
  background-color: #fff;
}

.form-select {
  background-color: #fff;
}
footer {
  background-image: url(../img/logos/fondonegro.jpg);
  background-size: cover;
  color: #fff;
  text-align: center;
  padding: 20px 0;
  position: relative; /* o 'absolute' si es dentro de un contenedor */
  bottom: 0;
  left: 0; /* Asegúrate de que esté alineado a la izquierda */
  width: 100%;
}


.social-icons a {
  margin-left: 15px;
}

.social-icon {
  color: inherit;
  text-decoration: none;
  border: 1px solid transparent;
  padding: 5px;
  font-size: 0.8rem;
}

.social-icon:hover {
  border-color: white;
  background-color: #ffffff; 
  color: #1074bc;
  border-radius: 5px;
}

footer .social-footer {
  margin: 20px 0;
}

footer .social-icon {
  font-size: 15px; 
  margin: 0 10px; 
}
footer hr {
  width: 75%;
  height: 0.1px; 
  background-color: rgb(188, 188, 188); 
  margin: 8px auto; 
  color: rgb(188, 188, 188);
}

.light-style .user-profile-header .user-profile-img {
  border-color: #fff;
}
.nav-link {
  font-size: 0.7rem; 
  padding: 10px 7px; 
}
#map-search,
.pac-container {
    z-index: 9999 !important;
}

.oculto{
  display:none;
}